import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const vehiclesViolationList = declareRequest(
  "vehiclesViolationLoading",
  `Post > @/primeport/vehicleViolations/list`,
);
export const vehiclesViolationAdd = declareRequest(
  "vehiclesViolationLoading",
  `Post > @/primeport/vehicleViolations/save`,
);
export const vehiclesViolationViolationRecordsList = declareRequest(
  "vehiclesViolationLoading",
  `Post > @/primeport/vehicleViolations/detailsRecordList`,
);
export const vehiclesViolationViolationRecordsDelete = declareRequest(
  "vehiclesViolationLoading",
  `Delete > @/primeport/vehicleViolations/{id}`,
);
export const vehiclesViolationViolationRecordsInfo = declareRequest(
  "vehiclesViolationLoading",
  `Get > /primeport/vehicleViolations/{id}`,
);
